:root {
    --Aus: #000000;
    --An: #ffffff;
    --Dunkel: #35190e;
    --Mittel: #4e3833;
    --Hell: #d2b08f;
    --Dunkel_T: #35190e99;
    --Mittel_T: #4e383399;
    --Hell_T: #d2b08f99;
    --AccentR_T: #9e0000bb;
    --AccentG_T: #007200bb;
    --AccentB_T: #00007bbb;
    --AccentR: #9e0000;
    --AccentG: #007200;
    --AccentB: #00007b;
}

/* GLOBAL */
h1 {
    font-size: 22px;
    color: var(--Dunkel);
    margin: 10px;
    text-align: center;
}

h2 {
    font-size: 18px;
    color: var(--Dunkel);
    margin: 10px;
    text-align: center;
}

h3 {
    font-size: 12px;
    text-align: center;
    margin: 0px;
    padding: 0px;
    color: var(--Hell);
}

h4 {
    margin: 0px;
    text-align: left;    
    font-size: 12px;
    color: var(--AccentG);
    letter-spacing: 1px;
}

h5 {
    margin: 0px;
    text-align: left;    
    font-size: 14px;
    color: var(--Hell);
    margin-bottom: 20px;
}


p {
    margin: 5px 0;
    text-align: left;
    color: var(--Hell_T);
    font-size: 0.9em;
}

body {
    width: 100vw;
    height: 100vh;
    font-family: sans-serif;
    background-color: #000;
    margin: 0;
    padding: 0;
    overflow-x: hidden;
    overflow-y: scroll;

    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    justify-content: center;
    align-content: center;
}

article {
    width: 100%;
    max-width: 450px;
    min-width: 350px;
    background-color: var(--Hell);
    height: calc(100% - 0px);

    margin: 0px;
    padding-top: 20px;

    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    justify-content: start;
    align-content: center;
    gap: 10px;
}

section {
    max-width: 100%;
    background-color: var(--Mittel_T);
    padding: 0px;
    margin: 0px;
    border: 5px double var(--Hell);
    border-radius: 5px;

    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: end;
    align-items: center;
    gap: 10px;
}





/* WalkieTalkie.php */

#User {
    /* background-image: url(WalkieTalkie2.png);
    background-repeat: no-repeat;
    background-position-x: 20px;
    background-position-y: 50%;
    background-size: 20%; */

    width: calc(100% - 10px);
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 0px;
}

#User>h1 {
    width: 100%;
    text-align: center;
}

#User>#reihe {
    width: 100%;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: center;
    align-items: center;
    gap: 10px;
    margin: 10px;
}





#Aufnahme {
    /* background-image: url(WalkieTalkie2.png);
    background-repeat: no-repeat;
    background-position-x: 20px;
    background-position-y: 50%;
    background-size: 20%; */

    width: calc(100% - 10px);
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    justify-content: end;
    align-items: center;
    gap: 0px;
}

#Aufnahme>h2 {
    width: 100%;
    color: var(--Dunkel);
    text-align: center;
}

#Aufnahme>a {
    width: 100%;
    color: var(--Dunkel);
    text-align: center;
    text-decoration: none;
    margin: 10px;
}

#recordButton {
    width: 100px;
    height: 100px;
    border-radius: 50%;
    background-color: var(--AccentR_T);
    color: var(--Hell);
    margin: 20px 0px;
}

#recordingIndicator {
    width: 60px;
    height: 30px;
    border-radius: 10px;
    background-color: var(--Hell_T);
    border: 10px double var(--Dunkel);
    margin: 20px 0px;
}

#recordingIndicator>p {
    background-color: transparent;
    color: var(--Dunkel);
}

.recording {
    background-color: var(--AccentR) !important;
    animation: pulse 1s infinite;
    border: 10px double var(--AccentG);
}

@keyframes pulse {
    0% {
        opacity: 1;
    }

    50% {
        opacity: 0.5;
    }

    100% {
        opacity: 1;
    }
}











/* Abspielen */



#Abspielen {
    /* background-image: url(WalkieTalkie2.png);
    background-repeat: no-repeat;
    background-position-x: 20px;
    background-position-y: 50%;
    background-size: 20%; */

    width: calc(100% - 10px);
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    justify-content: end;
    align-items: center;
    gap: 0px;
}

#Abspielen>h2 {
    width: 100%;
    color: var(--Dunkel);
    text-align: center;
}

#Abspielen>a {
    width: 100%;
    color: var(--Dunkel);
    text-align: center;
    text-decoration: none;
    margin: 10px;
}

#customAudioPlayer {
    width: calc(100% - 10px);
    /* background-color: var(--Dunkel_T); */
    /* border: 5px double var(--Hell); */
    /* border-radius: 10px; */
    /* box-shadow: 0 2px 4px var(--Dunkel_T); */
    padding: 0px;
    margin: 0px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.controls {
    width: 100%;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 10px;
}

#playPauseBtn {
    width: 100%;
    background-color: var(--Hell_T);
    color: var(--Dunkel);
    border: none;
    border-radius: 5px;
    padding: 10px 20px;
    cursor: pointer;
}

#playPauseBtn:hover {
    background-color: var(--Hell);
}

h3 {
    width: 85px;
    text-align: left;
    margin: 5px;
}

#seekSlider {
    width: calc(100% - 130px);
    margin: 0 10px;
    overflow-y: hidden;
}

#volumeSlider {
    width: calc(100% - 135px);
    margin: 0 10px;
    border: 5px solid var(--Hell);
    overflow-y: hidden;
}

#currentTime {
    width: 25px;
    font-size: 10px;
    color: var(--Hell);
    background-color: var(--Dunkel_T);
    border-radius: 5px;
    padding: 5px;
}

#duration {
    width: 25px;
    font-size: 10px;
    color: var(--Hell);
    background-color: var(--Dunkel_T);
    border-radius: 5px;
    padding: 5px;
}









#Funktionen {
    position: fixed;
    bottom: 0px;
    left: calc(50% - 180px);

    width: 350px;
    padding: 0px;
    margin: 0px;

    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-evenly;
    align-items: start;
    gap: 2px;

    background-color: var(--Dunkel);


}

#Funktionen>.button {
    width: calc(25% - 50px);
    height: fit-content;
    margin: 5px;
    padding: 5px 10px;
    text-decoration: none;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    font-size: 0.8em;
    background-color: var(--Hell_T);
    color: var(--Dunkel);
    border: 5px double var(--Mittel);
    border-radius: 5px;
    transition: 1.0s;

    text-align: center;
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
}

#Funktionen>.button:hover {
    background-color: var(--Mittel);
    color: var(--Hell);
    border: 5px double var(--Hell);
}


.accordion {
    width: fit-content;
    border: 1px solid var(--Dunkel);
    border-radius: 5px;
    margin-bottom: 10px;
}
.accordion-header {
    border-bottom: 1px solid var(--AccentG_T);
    margin-bottom: 10px;
    padding: 2px 4px;
    cursor: pointer;
}
.accordion-content {
    max-width: 400px;
    display: none;
    padding: 5px;
    border-top: 1px solid var(--Dunkel);
}
.accordion-content p {
    margin: 5px 0;
}










/* index.php */

#Login {
    background-image: url(WalkieTalkie2.png);
    background-repeat: no-repeat;
    background-position-x: 20px;
    background-position-y: 50%;
    background-size: 20%;
}

#Login>h1 {
    width: 100%;
    padding: 10px;
    margin: 10px;
    border-radius: 5px;
    text-align: right;
}

#Login>p {
    padding: 10px;
    margin: 10px;
    text-align: right;
}

#Login>form {
    width: 100%;
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    justify-content: end;
    align-items: end;
    gap: 10px;
    margin: 0px 0px 30px 1px;
}

#Login>form>label {
    width: 100%;
    padding: 5px;
    margin: 0px 10px;
    color: var(--Hell);
    font-size: 1.0em;
    font-weight: 600;
    text-align: right;
}

#Login>form>#username {
    width: 300px;
    padding: 5px;
    margin: 0px 10px;
    color: var(--Hell);
    font-size: 1.1em;
    border: 1px solid var(--Dunkel);
    border: 2x solid var(--Dunkel);
    color: var(--Dunkel);
    border-radius: 5px;
    text-align: right;
    font-weight: 600;
}

#Login>form>.submit {
    width: fit-content;
    height: fit-content;
    padding: 5px;
    margin: 0px 10px;
    background-color: var(--Mittel_T);
    color: var(--Hell);
    border: 1px solid var(--Dunkel);
    font-size: 0.8em;
    transition: 1s;
    border: 2x solid var(--Dunkel);
    border-radius: 5px;
    text-align: right;
}

#Login>form>.submit:hover {
    background-color: var(--Hell);
    color: var(--Dunkel);
}

/* Bilder */

@media screen and (min-width: 401px) {
    .img {
        width: fit-content;
        display: flex;
        flex-direction: row;
        flex-wrap: nowrap;
        justify-content: space-around;
        align-items: center;
        gap: 20px;
        margin: 20px;
    }


    img {
        width: 0px;
        height: auto;
    }

}


@media screen and (max-width: 400px) {
    .img {
        width: 50px;
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        justify-content: space-around;
        align-items: center;
        gap: 5px;
    }


    img {
        width: 40px;
        height: auto;
    }

}









/* footer */
#footer {
    position: fixed;
    bottom: 0px;
    left: calc(50% - 160px);

    width: 300px;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: center;
    align-items: center;
    gap: 10px;
    padding: 5px;
}

#footer>a {
    width: fit-content;
    font-size: 0.8em;
    text-decoration: none;
    color: var(--Dunkel);
}



